﻿using Infragistics.Windows.DockManager;
using System.Windows;
using System.Windows.Controls;

namespace SelectTabsProgramatically
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void tgp_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((sender as TabGroupPane).IsLoaded && e.AddedItems.Count > 0)
            {
                var selectedPane = e.AddedItems[0] as ContentPane;
                if (selectedPane != null && (selectedPane.Name == "cp1" || selectedPane.Name == "cp2"))
                {
                    cpInDocs1.Activate();
                }
                else
                {
                    cpInDocs2.Activate();
                }
            }
        }
    }

}
